Subject: bug#5054: 23.1.50; buffer-menu truncated fields

From: Juri Linkov <[email-masked]>
Date: Fri, 07 Oct 2011 03:23:32 +0300

>>> Displaying the buffer list in a table would be an ideal solution.
>>> I think it's better to implement that by allowing dragging a handle
>>> in the header line, and redrawing the buffer accordingly.
>>
>> Agreed.  We should also give the header line items the standard button
>> appearance so it's easy to see (1) which sorting method is currently
>> selected, (2) where and what I have to click, and (3) the position of
>> the handle for dragging.
>
> The header line of ruler-mode looks good indeed.  Remains the question
> whether we want a generic interface, so `list-processes' can use it as
> well, and maybe also `dired', the various message modes, file managers,
> table headers ...

Since we now have generic mode `tabulated-list-mode', and `list-processes'
already uses it, to fix the original reported problem of truncated fields
in the buffer list, `list-buffers' could use `tabulated-list-mode' as well.